# Check Point MHO buffers

Monitors status of Check Point Orchestrator (MHO) port RX buffers

---
###Check Info

* *service*: creates the service **_RX buffers port {item}_** for each MHO port, with the port index as item

* *state*: always OK

* *wato*: [(see WATO options)](/../../../-/raw/master/doc/wato.png "see sample screenshot")

* *perfdata (if avilable)*: 
    * RX buffer 0 discards/s
    * RX buffer 0 frames/s
    * RX buffer 0 octets/s
    * RX buffer 1 discards/s
    * RX buffer 1 frames/s
    * RX buffer 1 octets
    * RX buffer 2 discards/s
    * RX buffer 2 frames/s
    * RX buffer 2 octets/s
    * RX buffer 3 discards/s
    * RX buffer 3 frames/s
    * RX buffer 3 octets/s
    * RX buffer 4 discards/s
    * RX buffer 4 frames/s
    * RX buffer 4 octets/s
    * RX buffer 5 discards/s
    * RX buffer 5 frames/s
    * RX buffer 5 octets/s
    * RX buffer 6 discards/s
    * RX buffer 6 frames/s
    * RX buffer 6 octets/s
    * RX buffer 7 discards/s
    * RX buffer 7 frames/s
    * RX buffer 7 octets/s

---
### Download

* [checkpoint_mho_buffers.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/maestro/checkpoint_mho_buffers/-/raw/master/checkpoint_mho_buffers.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_mho_buffers.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO

![WATO options](/doc/wato.png?raw=true "WATO options")

WATO options (discovery)

![WATO options (discovery)](/doc/wato-discovery.png?raw=true "WATO options (discovery)")
